Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.shrinkwrap.descriptor.api.jboss51
Interface IgnoreDependencyType<T>

All Superinterfaces:
  org.jboss.shrinkwrap.descriptor.api.Child<T>

All Known Implementing Classes:
  IgnoreDependencyTypeImpl

    public interface IgnoreDependencyType<T>

extends org.jboss.shrinkwrap.descriptor.api.Child<T>

This interface defines the contract for the `ignore-dependencyType` xsd type

Original Documentation:

The ignore-dependency element removes an injection dependency

Since:
  Generation date :2011-07-19T22:54:35.59+02:00
Author:
  Ralf Battenfeld

Method Summary
`java.util.List<java.lang.String>` | `getDescriptionList()` Returns all `description` elements
`java.util.List<InjectionTargetType<IgnoreDependencyType<T>>>` | `getInjectionTargetList()` Returns all `injection-target` elements
`InjectionTargetType<IgnoreDependencyType<T>>` | `injectionTarget()` Returns the `injection-target` element
`IgnoreDependencyType<T>` | `removeAllDescription()` Removes the `description` element
`IgnoreDependencyType<T>` | `removeAllInjectionTarget()` Removes all `injection-target` elements
`IgnoreDependencyType<T>` | `setDescription(java.lang.String description)` Creates a new `description` element
`IgnoreDependencyType<T>` | `setDescriptionList(java.lang.String... values)` Creates for all String objects representing `description` elements, a new `description` element

Methods inherited from interface org.jboss.shrinkwrap.descriptor.api.Child
`up`

Method Detail

### setDescription

    IgnoreDependencyType<T> setDescription(java.lang.String description)

  Creates a new `description` element

  Returns:
    the current instance of `IgnoreDependencyType`

### setDescriptionList

    IgnoreDependencyType<T> setDescriptionList(java.lang.String... values)

  Creates for all String objects representing `description` elements, a new `description` element

  Parameters:
    `list` - of `description` objects
  Returns:
    the current instance of `IgnoreDependencyType`

### removeAllDescription

    IgnoreDependencyType<T> removeAllDescription()

  Removes the `description` element

  Returns:
    the current instance of `IgnoreDependencyType`

### getDescriptionList

    java.util.List<java.lang.String> getDescriptionList()

  Returns all `description` elements

  Returns:
    list of `description`

### removeAllInjectionTarget

    IgnoreDependencyType<T> removeAllInjectionTarget()

  Removes all `injection-target` elements

  Returns:
    the current instance of `IgnoreDependencyType`

### injectionTarget

    InjectionTargetType<IgnoreDependencyType<T>> injectionTarget()

  Returns the `injection-target` element

  Returns:
    the node defined for the element `injection-target`

### getInjectionTargetList

    java.util.List<InjectionTargetType<IgnoreDependencyType<T>>> getInjectionTargetList()

  Returns all `injection-target` elements

  Returns:
    list of `injection-target`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD